Bug 507849 - Review Request: anjal - email client for small screen devices
Review Request: anjal - email client for small screen devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 506804 507837
Blocks: FedoraMoblin20
  Show dependency treegraph
 
Reported: 2009-06-24 10:08 EDT by Peter Robinson
Modified: 2009-08-20 09:09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 09:09:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-06-24 10:08:52 EDT
SPEC: http://pbrobinson.fedorapeople.org/anerley.spec
SRPM: http://pbrobinson.fedorapeople.org/anjal-0.1.0-1.20090624git0424e38.fc11.src.rpm

An email client for netbooks which uses evolution-data-server as a backend
Comment 1 Alexander Boström 2009-07-07 16:56:44 EDT
The Summary and %description seems wrong. (Btw I wouldn't put "which uses evolution-data-server as a backend" in there. Highlight what makes it special instead!)
Comment 2 Peter Robinson 2009-07-07 17:42:17 EDT
I'll review it an update it but its a small light email client for netbooks :)
Comment 3 Peter Robinson 2009-07-08 06:09:10 EDT
SRPM: http://pbrobinson.fedorapeople.org/anjal-0.1.0-2.20090624git0424e38.fc11.src.rpm

Updated the description to:

Anjal is a mail client for small screen devices like NetBooks. It features a nice multi-line 
message list, with text-preview of the latest messages in the thread. It supports a tab 
interface for folders, new mail and config. Being based on evolution it supports all the 
same mail backends including POP3, IMAP4, Exchange and GroupWare.
Comment 4 Peter Robinson 2009-07-21 19:15:10 EDT
Updated to a new upstream git snapshot and added anerley as a blocker as its now required.

SRPM: http://pbrobinson.fedorapeople.org/anjal-0.1.0-2.20090722gitcbb3f4c.fc11.src.rpm
Comment 5 Peter Robinson 2009-08-11 16:21:27 EDT
Updated anjal snapshot including a spec cleanup. Also updated the release numbering to the Fedora pre release 0.x scheme.

SPEC: as before
SRPM: http://pbrobinson.fedorapeople.org/anjal-0.1.0-0.3.20090811git813fc0f.fc11.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1599410
Comment 6 D. Marlin 2009-08-18 17:42:53 EDT
- I believe configure will be run twice, once in the prep stage (through autogen.sh) and once in the build stage.

The following autogen.sh command line should avoid this:

  # run autogen.sh until we have a proper release, but don't run configure twice.
  NOCONFIGURE=yes ./autogen.sh


- I think the spec file should be using desktop-file-install instead of just validating the .desktop file.

-desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
+desktop-file-install \
+        --dir=%{buildroot}%{_datadir}/applications \
+        %{buildroot}%{_datadir}/applications/%{name}.desktop


- rpmlint complains:

anjal.i686: W: incoherent-version-in-changelog 0.1.0-0.3 ['0.1.0-0.3.20090811git813fc0f.fc12', '0.1.0-0.3.20090811git813fc0f']

It seems to be confused by the "snapshot tag" in the release.  Perhaps modify the %changelog entry to match?
Comment 7 Peter Robinson 2009-08-18 18:38:28 EDT
(In reply to comment #6)
> - I believe configure will be run twice, once in the prep stage (through
> autogen.sh) and once in the build stage.

You are correct. I'll look into it.

> - I think the spec file should be using desktop-file-install instead of just
> validating the .desktop file.
> 
> -desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
> +desktop-file-install \
> +        --dir=%{buildroot}%{_datadir}/applications \
> +        %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-validate is fine according to package guidelines.
https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

> - rpmlint complains:
> 
> anjal.i686: W: incoherent-version-in-changelog 0.1.0-0.3
> ['0.1.0-0.3.20090811git813fc0f.fc12', '0.1.0-0.3.20090811git813fc0f']
> 
> It seems to be confused by the "snapshot tag" in the release.  Perhaps modify
> the %changelog entry to match?  

Its fine, basically the 0.3 part of the version is enough and most packages leave off the full git tag.
Comment 9 Michel Alexandre Salim 2009-08-19 16:53:52 EDT
Review:
• rpmlint: source clean. binary has one warning: changelog incoherent

anjal.x86_64: W: incoherent-version-in-changelog 0.1.0-0.3 ['0.1.0-0.4.20090813git2d4e6a0.fc12', '0.1.0-0.4.20090813git2d4e6a0']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines:
  valid but bizarre (author does not trust FSF enough to use LGPLv2+ ?)
• license field accurate: OK
• license file not deleted: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK
• builds under >= 1 archs, others excluded: OK (Koji)
• build dependencies complete: OK (Koji)
• locales handled using %find_lang, no %{_datadir}/locale: OK
• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• macros used consistently: OK
• Package contains code: OK
• desktop file uses desktop-file-install: desktop-file-validate, OK
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• package build in mock on all architectures: OK (Koji)
• package functioned as described: OK (tested on x86_64)
• scriplets are sane: OK
• require package not files: OK
Comment 10 Michel Alexandre Salim 2009-08-19 16:55:21 EDT
Approved -- make sure to fix the changelog entry when importing into the repository
Comment 11 Peter Robinson 2009-08-19 17:05:07 EDT
Thanks!

New Package CVS Request
=======================
Package Name: anjal
Short Description: An email client for small screen devices
Owners: pbrobinson
Branches: F-11
InitialCC:
Comment 12 Jason Tibbitts 2009-08-19 17:43:35 EDT
CVS done.
Comment 13 Peter Robinson 2009-08-19 19:29:49 EDT
imported and built.
Comment 14 Peter Robinson 2009-08-20 09:09:05 EDT
and now pushed to rawhide. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.